Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector

Name

### angleBetween()

Examples

    PVector v1 = new PVector(10, 20);
    PVector v2 = new PVector(60, 80);
    float a = PVector.angleBetween(v1, v2);
    println(degrees(a));  // Prints "10.304827"

Description | Calculates and returns the angle (in radians) between two vectors.

Syntax

    PVector.angleBetween(v1, v2)

Parameters

vec | any variable of type PVector
v1 | PVector: the x, y, and z components of a PVector object
v2 | PVector: the x, y, and z components of a PVector object

Returns | Float
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT